<?php /*
Plugin Name: RV Menu Tree
Version: 2.0.a
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=238
Description: Replaces the categories in the menu bar with a nicer one (javascript).
Author: rvelices
Author URI: http://www.modusoptimus.com
*/

if (!function_exists('rv_ua_is_handheld'))
{
	function rv_ua_is_handheld()
	{
		if ( isset($_SESSION['is_handheld']) )
			return $_SESSION['is_handheld'];
		$ret=false;
		if ( strpos($_SERVER['HTTP_USER_AGENT'], 'BlackBerry')!==false )
			$ret=true;
		if ( session_id()!="" )
			$_SESSION['is_handheld']=$ret;
		return $ret;
	}
}

add_event_handler('get_categories_menu_sql_where', 'rv_mt_get_categories_menu_sql_where_wrapper', EVENT_HANDLER_PRIORITY_NEUTRAL, 3 );

function rv_mt_get_categories_menu_sql_where_wrapper($where, $expand, $filter)
{
	if (rv_ua_is_handheld()) return $where;
	include_once( dirname(__FILE__).'/functions.inc.php');
	return rv_mt_get_categories_menu_sql_where($where, $expand, $filter);
}

?>